void main( void )
{
sp_hitpoints(&current_sprite, 40);

}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 if (&mayor == 6)
 {
  say_stop("嘿，额，人都哪去了？", 1);
  wait(250);
  say_stop("`6游行结束了啦，", &current_sprite);
  wait(250);
  say_stop("`6大家都回去了。", &current_sprite);
  wait(250);
  say_stop("这么快？！", 1);
  wait(250);
  say_stop("`6我不知道，我只是在这工作而已。", &current_sprite);
  &mayor = 7;
  unfreeze(1);
  wait(500)
  unfreeze(&current_sprite);
  return;
 }
 if (&mayor == 7)
 {
   say_stop("嘿，额，人都哪去了？", 1);
  wait(250);
  say_stop("`6我都说了，人走了。", &current_sprite);
  wait(250);
  say_stop("`6你是什么？怪人吗？", &current_sprite);
  wait(250);
  say_stop("我知道了 ...", 1);
 }
 unfreeze(1);
 wait(500)
 unfreeze(&current_sprite);
}

void hit( void )
{
 freeze(&current_sprite);
 say_stop("`6好痛啊！", &current_sprite);
 wait(500);
 unfreeze(&current_sprite);
}
